ChangeSet 1.925.62.9, 2003/02/07 17:22:54+11:00, oliver@neukum.name

[PATCH] USB: kaweth fix

this is the length calculation fix against 2.5.
  - fix DHCP problem with correct length calculation
  Thanks to Oliver Kurth


diff -Nru a/drivers/usb/net/kaweth.c b/drivers/usb/net/kaweth.c
--- a/drivers/usb/net/kaweth.c	Tue Feb 18 16:44:33 2003
+++ b/drivers/usb/net/kaweth.c	Tue Feb 18 16:44:33 2003
@@ -713,7 +713,7 @@
 static int kaweth_start_xmit(struct sk_buff *skb, struct net_device *net)
 {
 	struct kaweth_device *kaweth = net->priv;
-	char *private_header;
+	u16 *private_header;
 
 	int res;
 
@@ -745,7 +745,7 @@
 	}
 
 	private_header = __skb_push(skb, 2);
-	*private_header = cpu_to_le16(skb->len);
+	*private_header = cpu_to_le16(skb->len-2);
 	kaweth->tx_skb = skb;
 
 	usb_fill_bulk_urb(kaweth->tx_urb,
